                                 
                                                   
                                         
                                               
                                
                                        

                 Ŀ
                                                            
                            V F O N T   (for DOS)           
                                                            
                          V F O N T / 2   (for OS/2)        
                                                            
                 

       Programs and Documentation are Copyright 1991 by clySmic software.
                              All rights reserved.

     

     NEW FEATURES
     ------------

     *    VFONT now checks for a VGA and won't run if one is not present.

     *    Many more fonts, including "taller" fonts.

     *    Smooth backgrounds when using characters 176 - 178.

     *    Fonts now stored in VFONT.DAT, this makes VFONT smaller and
          allows it to be loaded high easier.

     *    Just store VFONT.COM or VFONT2.EXE in the same directory as
          VFONT.DAT, and VFONT will find the data file.

     
     INTRODUCTION
     ------------

     VFONT & VFONT2 contain and load replacement fonts for VGA systems;
     they include three variations of a "swiss" font, three deco/moderne
     fonts, and a handwritten "scrawl" font.

     For users of previous versions: some fonts have been renamed, and some
     troublesome characters in fonts have been improved.

     Unlike some poorly done fonts, the base character style has been
     extended to the foreign characters and other "Extended ASCII", or
     "OEM" characters, including the line-drawing characters.

     DOS users should run VFONT, OS/2 full-screen users VFONT2.  All
     instructions refer to both versions.

     
     USAGE
     -----

     VFONT          
     or VFONT /?    This summarizes your options and exits.  DOS version
                    does not remain resident (OS/2 version _never_ does).

     VFONT /n [/Q]  Load the font specified by n.  Select n from the table
                    below.  If the /Q is added, this invokes quiet mode,
                    with no messages.

     
     FONTS
     -----

     S              Solid-line, swiss font.  A san-serif font.  Solid-line
                    means double-line line-drawing characters are rendered
                    as a thicker solid line.

     SD             Swiss-double, san-serif  with the double-line line-
                    drawing characters as they are in the default font.

     R              Roman, complete with varying character line widths,
                    serifs, and numbers that are non-lining (i.e. extend
                    below the baseline).

     RO             Roman Oblique, a variation on Roman.

     RL             Roman Large, a taller version of Roman.

     MU             Muchery (TM) a wide, san-serif font.

     ML             Muchery Large, a taller version of Muchery.

     T              Tektite, a "Architect" style font.

     C              Clouds, a tall hybrid font.

     B              Blockx, a very large and bold san-serif font.

     M              Moderne, a highly stylized art-deco/moderne font.

     MR             Moderne Round, a rounded version of Moderne.

     SC             Scrawl, a handwritten-looking "scrawled" font.
                    Peoples' reaction to this font ranges from horror to
                    delight.  Personally, I like it (for short stretches
                    anyway) it makes the computer screen less perfect and
                    even, more organic.

                    Even if you don't like it, its a great gag font - put
                    it on your co-workers computer today!  Scrawl is an
                    extensively re-worked version of a public-domain font
                    (which had no name).

     
     FOR DOS USERS
     -------------

     The DOS version is a "terminate-and-stay-resident" program that takes
     up approximately 4.5K.  It can be unloaded with TSR utilities, such as
     the excellent MARK/RELEASE (version 2.2 or later, earlier versions
     don't save enough video information and the system will hang upon a
     RELEASE).

     VFONT remains in place even if your software sets the video mode.
     This means the font won't "go away" with certain programs or require a
     "hotkey" like the font loader from PC Magazine (these fonts were
     designed with their excellent font editor, however).  VFONT uses the
     proper way to install a VGA font: defining an "Alpha Character Set
     Override Table" (documented in VGA BIOS references).  It wouldn't have
     to hook INT 10H at all, except it needs to fix the BIOS bug (see
     below).

     VFONT is only active in text modes.

     VFONT corrects an EGA/VGA BIOS bug that incorrectly calculates the
     "video text page" length after a font is loaded.

     The memory-hungry among us (all of us, I would guess) may rest assured
     that the only font to remain resident is the one you've chosen.
     However, if you keep typing VFONT to load different fonts, each
     invocation of VFONT stays resident.  This behavior doesn't seem very
     desirable, but actually can be a boon when running virtual DOS
     machines under Windows 3.0.

     VFONT doesn't work in the DOS box of OS/2 1.0 and 1.1, but _does_ work
     in the box of OS/2 1.2.  For fonts in native OS/2 full-screen
     sessions, use VFONT2.

     
     FOR OS/2 USERS
     --------------

     You don't have to worry about TSRs, OS/2 just reads the font data,
     stores it somewhere within itself and the program ends.

     
     CAVEATS
     -------

     VFONT requires DOS 3.0 or greater.

     Both versions of VFONT require the VFONT.DAT file to be stored in the
     same directory as the executable files VFONT.COM and VFONT2.EXE

                                        

     VFONT and VFONT/2 are copyrighted by clySmic software, and are
     released as "Freeware".

     You may copy the program and distribute it without charge.  You may
     not sell or otherwise charge for VFONT & VFONT/2.  However, users'
     groups may charge a small fee (not to exceed $10) for media and
     postage.

     This program is provided AS IS without any warranty, expressed or
     implied, including but not limited to fitness for a particular
     purpose.  So there.

     clySmic software is not responsible for anything that may happen when
     you use VFONT and VFONT/2, including hardware damage, information
     loss, or crossed-eyes from looking at Scrawl.


                                Ralph B Smith Jr
                                clySmic software
                                 P. O. Box 2421
                               Empire State Plaza
                                Albany, NY 12220

                     (Please note the new P.O. Box Number)


         ----------------end-of-author's-documentation---------------

                         Software Library Information:

                    This disk copy provided as a service of

                           Public (software) Library

         We are not the authors of this program, nor are we associated
         with the author in any way other than as a distributor of the
         program in accordance with the author's terms of distribution.

         Please direct shareware payments and specific questions about
         this program to the author of the program, whose name appears
         elsewhere in  this documentation. If you have trouble getting
         in touch with the author,  we will do whatever we can to help
         you with your questions. All programs have been tested and do
         run.  To report problems,  please use the form that is in the
         file PROBLEM.DOC on many of our disks or in other written for-
         mat with screen printouts, if possible.  PsL cannot debug pro-
         programs over the telephone, though we can answer questions.

         Disks in the PsL are updated  monthly,  so if you did not get
         this disk directly from the PsL, you should be aware that the
         files in this set may no longer be the current versions. Also,
         if you got this disk from another vendor and are having prob-
         lems,  be aware that  some files may have become corrupted or
         lost by that vendor. Get a current, working disk from PsL.

         For a copy of the latest monthly software library newsletter
         and a list of the 4,000+ disks in the library, call or write

                           Public (software) Library
                               P.O.Box 35705 - F
                            Houston, TX 77235-5705

                                1-800-2424-PSL
                             MC/Visa/AmEx/Discover

                          Outside of U.S. or in Texas
                          or for general information,
                              Call 1-713-524-6394

                          PsL also has an outstanding
                          catalog for the Macintosh.

